# dco-go

A Forgejo action that verifies commits in pull-request all include Developer Certificate of Origin (DCO) information and proper header.

## Usage

Add .forgejo/workflows/dco.yml with the following

```yaml
on: [pull_request]

jobs:
  dco:
    name: DCO
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
        with:
          fetch-depth: 0

      - name: Setup Go
        uses: actions/setup-go@v3
        with:
          go-version: '1.20'

      - name: Run commit format checker
        uses: https://git.frostfs.info/TrueCloudLab/dco-go@v1
        with:
          from: 406c2324

```

Action checks through whole repository history. Specify last commit to check bound with `from` parameter. 